package com.dev.swms.server.action.formatter;

import java.util.List;

import com.dev.energy.server.format.Formatter;

public class SheChangePickDetailFormat implements Formatter{
	public String format(String property, Object cellValue, List origenData,
			 String referenceModel, String locale) {
		int shechange=Integer.parseInt(origenData.get(1).toString());
		String status=origenData.get(7).toString();
		if(shechange==1&&status.equals("ALLOCATE")){
			return "<div style='background-color:red' >" + cellValue.toString() + "</div>";
		}else{
			return cellValue.toString();
		}
	}
}
